package com.ruoyi.system.domain;

import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

/**
 * 专题页酒款对象 wy_platform_feature_beer
 * 
 * @author ruoyi
 * @date 2025-01-06
 */
public class WyPlatformFeatureBeer extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 专题id */
    @Excel(name = "专题id")
    private Long pageId;

    /** 酒款id */
    @Excel(name = "酒款id")
    private Long beerId;

    /** 酒款名称 */
    @Excel(name = "酒款名称")
    private String beerName;

    /** 酒款封面 */
    @Excel(name = "酒款封面")
    private String beerCover;

    public void setPageId(Long pageId) 
    {
        this.pageId = pageId;
    }

    public Long getPageId() 
    {
        return pageId;
    }
    public void setBeerId(Long beerId) 
    {
        this.beerId = beerId;
    }

    public Long getBeerId() 
    {
        return beerId;
    }
    public void setBeerName(String beerName) 
    {
        this.beerName = beerName;
    }

    public String getBeerName() 
    {
        return beerName;
    }
    public void setBeerCover(String beerCover) 
    {
        this.beerCover = beerCover;
    }

    public String getBeerCover() 
    {
        return beerCover;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("pageId", getPageId())
            .append("beerId", getBeerId())
            .append("beerName", getBeerName())
            .append("beerCover", getBeerCover())
            .toString();
    }
}
